Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

group.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: group.php 6235 2001-07-20 11:45:40Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezuser/classes/ezusergroup.php" );
28 // include_once( "ezxmlrpc/classes/ezxmlrpcstruct.php" );
29 // include_once( "ezxmlrpc/classes/ezxmlrpcint.php" );
30 // include_once( "ezxmlrpc/classes/ezxmlrpcstring.php" );
31 if( $Command == "list" ) // Return a list of users and their ID's
32 {
33 $groupList = eZUserGroup::getAll();
34 $groups = array();
35 foreach( $groupList as $group )
36 {
37 $groups[] = new eZXMLRPCStruct( array( "URL" => createURLStruct( "ezuser", "group", $group->id() ),
38 "Name" => new eZXMLRPCString( $group->name( false ) )
39 )
40 );
41 }
42 $ReturnData = new eZXMLRPCStruct( array( "Catalogues" => new eZXMLRPCArray(),
43 "Elements" => $groups,
44 "Path" => new eZXMLRPCArray() ) ); // array starting with top level catalogue, ending with parent.
45
46 }
47
48 ?>
$groupList
$groupList
Definition: admin/articleedit.php:800
$group
$group
Definition: admin/articleedit.php:799
eZUserGroup\getAll
static & getAll( $as_object=true)
Definition: ezusergroup.php:197
eZXMLRPCArray
Definition: ezxmlrpcarray.php:37
eZXMLRPCString
Definition: ezxmlrpcstring.php:37
eZXMLRPCStruct
Definition: ezxmlrpcstruct.php:37
$groups
if( $CategoryID !=0) $groups
Definition: ezbulkmail/admin/categoryedit.php:108
$ReturnData
$ReturnData
Definition: tag.php:48
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.